Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface CommunityMemberControl

    public interface CommunityMemberControl

Control for Community member functionality. The method for creating a community membership is not exposed through this control, as creating a community membership should probably be done exclusively in a community registration page, for the currently authenticated user.

Method Summary
`void` | `activateMember(com.bea.netuix.application.identifier.CommunityMemberId id, com.bea.portal.tools.common.ResourceContext context)` Activates a disabled `CommunityMember` globally for all Communities.
`void` | `activateMembership(com.bea.netuix.application.identifier.CommunityMemberId mId, com.bea.netuix.application.identifier.CommunityDefinitionId cId, com.bea.portal.tools.common.ResourceContext context)` Activates a `CommunityMembership` in the specified `CommunityDefinition`, making a disabled member able to use the community once again.
`void` | `addMembershipCapability(com.bea.netuix.application.identifier.CommunityMemberId mId, com.bea.netuix.application.identifier.CommunityDefinitionId cId, com.bea.netuix.application.communities.MembershipCapability capability, com.bea.portal.tools.common.ResourceContext context)` Adds a capability (owner, leader or manager) to the `CommunityMembership` specified.
`void` | `disableMember(com.bea.netuix.application.identifier.CommunityMemberId id, com.bea.portal.tools.common.ResourceContext context)` Disables a `CommunityMember` globally for all Communities.
`void` | `disableMembership(com.bea.netuix.application.identifier.CommunityMemberId mId, com.bea.netuix.application.identifier.CommunityDefinitionId cId, com.bea.portal.tools.common.ResourceContext context)` Disables a `CommunityMembership`.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.communities.CommunityMembership>` | `getCommunityMemberships(int pageSize, com.bea.netuix.application.identifier.CommunityDefinitionId communityId, com.bea.portal.tools.common.ResourceContext context)` Retrieves a paginated set of all memberships for the specified community.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.communities.CommunityMembership>` | `getCommunityMemberships(int pageSize, com.bea.netuix.application.communities.MembershipCriteria criteria, com.bea.portal.tools.common.ResourceContext context)` Retrieves a paginated set of all memberships matching the specified criteria.
`com.bea.netuix.application.communities.CommunityMember` | `getMember(com.bea.netuix.application.identifier.CommunityMemberId memberId, com.bea.portal.tools.common.ResourceContext context)` Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by `CommunityMemberId`.
`com.bea.netuix.application.communities.CommunityMember` | `getMember(String userId, com.bea.portal.tools.common.ResourceContext context)` Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by id.
`com.bea.netuix.application.communities.CommunityMembership` | `getMembership(com.bea.netuix.application.identifier.CommunityMemberId mId, com.bea.netuix.application.identifier.CommunityDefinitionId cId, com.bea.portal.tools.common.ResourceContext context)` Returns the `CommunityMembership` information for a `CommunityMember`, if they have a membership in the specified community.
`com.bea.netuix.application.communities.CommunityMembership` | `getMembership(String username, com.bea.netuix.application.identifier.CommunityDefinitionId cId, com.bea.portal.tools.common.ResourceContext context)` Returns the `CommunityMembership` information for a user if they have a membership in the specified community.
`void` | `removeCommunityMembership(com.bea.netuix.application.identifier.CommunityMemberId communityMemberId, com.bea.netuix.application.identifier.CommunityDefinitionId communityDefinitionId, com.bea.portal.tools.common.ResourceContext context)` Removes a Community Membership
`void` | `removeMember(com.bea.netuix.application.identifier.CommunityMemberId id, com.bea.portal.tools.common.ResourceContext context)` Removes a `CommunityMember` globally for all Communities.
`void` | `removeMembershipCapability(com.bea.netuix.application.identifier.CommunityMemberId mId, com.bea.netuix.application.identifier.CommunityDefinitionId cId, com.bea.netuix.application.communities.MembershipCapability capability, com.bea.portal.tools.common.ResourceContext context)` Removes a capability (owner, leader or manager) from the `CommunityMembership` specified.

Method Detail

### getCommunityMemberships

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.communities.CommunityMembership> getCommunityMemberships(int pageSize,
                                                                                                                                              com.bea.netuix.application.identifier.CommunityDefinitionId communityId,
                                                                                                                                              com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                              throws com.bea.portal.tools.common.exceptions.ToolsException

  Retrieves a paginated set of all memberships for the specified community.

  Parameters
    `pageSize` - the number of memberships to return per page
    `communityId` - the definition ID of the community to get memberships for.
    `context` - a resource context
  Returns
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getCommunityMemberships

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.communities.CommunityMembership> getCommunityMemberships(int pageSize,
                                                                                                                                              com.bea.netuix.application.communities.MembershipCriteria criteria,
                                                                                                                                              com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                              throws com.bea.portal.tools.common.exceptions.ToolsException

  Retrieves a paginated set of all memberships matching the specified criteria.

  Parameters
    `pageSize` - the number of memberships to return per page
    `criteria` - an object specifiying search criteria for memberships to be returned
    `context` - a resource context
  Returns
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### removeCommunityMembership

    void removeCommunityMembership(com.bea.netuix.application.identifier.CommunityMemberId communityMemberId,
                                   com.bea.netuix.application.identifier.CommunityDefinitionId communityDefinitionId,
                                   com.bea.portal.tools.common.ResourceContext context)
                                   throws com.bea.portal.tools.common.exceptions.ToolsException,
                                          com.bea.netuix.application.exception.ObjectNotFoundException

  Removes a Community Membership

  Parameters
    `communityMemberId` -
    `communityDefinitionId` -
    `context` - the resource context
  Throws
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getMember

    com.bea.netuix.application.communities.CommunityMember getMember(String userId,
                                                                     com.bea.portal.tools.common.ResourceContext context)
                                                                     throws com.bea.portal.tools.common.exceptions.ToolsException

  Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by id. If deepInfo is set to true, `CommunityMembership` information is also retrieved and contained within the `CommunityMember` return value.

  Parameters
    `userId` - the WLS user id of the `CommunityMember` to look up
    `context` - the resource context
  Returns
    a `CommunityMember` object populated with information for the specified `CommunityMember` if they exist, otherwise `null`.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getMember

    com.bea.netuix.application.communities.CommunityMember getMember(com.bea.netuix.application.identifier.CommunityMemberId memberId,
                                                                     com.bea.portal.tools.common.ResourceContext context)
                                                                     throws com.bea.portal.tools.common.exceptions.ToolsException

  Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by `CommunityMemberId`. If deepInfo is set to true, `CommunityMembership` information is also retrieved and contained within the `CommunityMember` return value.

  Parameters
    `memberId` - the `CommunityMemberId` of the user id of the `CommunityMember` to look up
    `context` - the resource context
  Returns
    a `CommunityMember` object populated with information for the specified `CommunityMember` if they exist, otherwise `null`.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### disableMember

    void disableMember(com.bea.netuix.application.identifier.CommunityMemberId id,
                       com.bea.portal.tools.common.ResourceContext context)
                       throws com.bea.netuix.application.exception.ObjectNotFoundException,
                              com.bea.portal.tools.common.exceptions.ToolsException

  Disables a `CommunityMember` globally for all Communities.

  Parameters
    `id` - the id of the `CommunityMember` to disable.
    `context` - the resource context
  Throws
    `com.bea.netuix.application.exception.ObjectNotFoundException` - if the specified member does not exist in the database.
    `com.bea.portal.tools.common.exceptions.ToolsException`

### activateMember

    void activateMember(com.bea.netuix.application.identifier.CommunityMemberId id,
                        com.bea.portal.tools.common.ResourceContext context)
                        throws com.bea.netuix.application.exception.ObjectNotFoundException,
                               com.bea.portal.tools.common.exceptions.ToolsException

  Activates a disabled `CommunityMember` globally for all Communities.

  Parameters
    `id` - the id of the `CommunityMember` to activate.
    `context` - the resource context
  Throws
    `com.bea.netuix.application.exception.ObjectNotFoundException` - if the specified member does not exist in the database.
    `com.bea.portal.tools.common.exceptions.ToolsException`

### removeMember

    void removeMember(com.bea.netuix.application.identifier.CommunityMemberId id,
                      com.bea.portal.tools.common.ResourceContext context)
                      throws com.bea.netuix.application.exception.ObjectNotFoundException,
                             com.bea.portal.tools.common.exceptions.ToolsException

  Removes a `CommunityMember` globally for all Communities.

  Parameters
    `id` - the id of the `CommunityMember` to remove.
    `context` - the resource context
  Throws
    `com.bea.netuix.application.exception.ObjectNotFoundException` - if the specified member does not exist in the database.
    `com.bea.portal.tools.common.exceptions.ToolsException`

### disableMembership

    void disableMembership(com.bea.netuix.application.identifier.CommunityMemberId mId,
                           com.bea.netuix.application.identifier.CommunityDefinitionId cId,
                           com.bea.portal.tools.common.ResourceContext context)
                           throws com.bea.netuix.application.exception.ObjectNotFoundException,
                                  com.bea.portal.tools.common.exceptions.ToolsException

  Disables a `CommunityMembership`.

  Parameters
    `mId` - the id of the `CommunityMember`
    `cId` - the id of the `CommunityDefinition`
    `context` - the resource context
  Throws
    `com.bea.netuix.application.exception.ObjectNotFoundException` - if no membership for the specified community and member exists.
    `com.bea.portal.tools.common.exceptions.ToolsException`

### activateMembership

    void activateMembership(com.bea.netuix.application.identifier.CommunityMemberId mId,
                            com.bea.netuix.application.identifier.CommunityDefinitionId cId,
                            com.bea.portal.tools.common.ResourceContext context)
                            throws com.bea.netuix.application.exception.ObjectNotFoundException,
                                   com.bea.portal.tools.common.exceptions.ToolsException

  Activates a `CommunityMembership` in the specified `CommunityDefinition`, making a disabled member able to use the community once again.

  Parameters
    `mId` - the id of the `CommunityMember`
    `cId` - the id of the `CommunityDefinition`
    `context` - the resource context
  Throws
    `com.bea.netuix.application.exception.ObjectNotFoundException` - if no membership for the specified community and member exists.
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getMembership

    com.bea.netuix.application.communities.CommunityMembership getMembership(com.bea.netuix.application.identifier.CommunityMemberId mId,
                                                                             com.bea.netuix.application.identifier.CommunityDefinitionId cId,
                                                                             com.bea.portal.tools.common.ResourceContext context)
                                                                             throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns the `CommunityMembership` information for a `CommunityMember`, if they have a membership in the specified community.

  Parameters
    `mId` - the id of the `CommunityMember`
    `cId` - the id of the `CommunityDefinition`
    `context` - the resource context
  Returns
    a `CommunityMembership` object populated with membership information for the specified `CommunityMember`, if it exists, otherwise null.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getMembership

    com.bea.netuix.application.communities.CommunityMembership getMembership(String username,
                                                                             com.bea.netuix.application.identifier.CommunityDefinitionId cId,
                                                                             com.bea.portal.tools.common.ResourceContext context)
                                                                             throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns the `CommunityMembership` information for a user if they have a membership in the specified community.

  Parameters
    `username` - the WLS username of the user
    `cId` - the id of the `CommunityDefinition`
    `context` - the resource context
  Returns
    a `CommunityMembership` object populated with membership information for the specified user, if it exists, otherwise null.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### addMembershipCapability

    void addMembershipCapability(com.bea.netuix.application.identifier.CommunityMemberId mId,
                                 com.bea.netuix.application.identifier.CommunityDefinitionId cId,
                                 com.bea.netuix.application.communities.MembershipCapability capability,
                                 com.bea.portal.tools.common.ResourceContext context)
                                 throws com.bea.portal.tools.common.exceptions.ToolsException,
                                        IllegalArgumentException,
                                        com.bea.netuix.application.exception.ObjectNotFoundException

  Adds a capability (owner, leader or manager) to the `CommunityMembership` specified.

  Parameters
    `mId` - the id of the `CommunityMember` whose membership is to be modified.
    `cId` - the id of the `Community` for the membership.
    `capability` - the capability to add to the membership, which is one of the `CommunityMembership.Capability` constants.
    `context` - the resource context
  Throws
    `IllegalArgumentException` - if the capability specified is not valid.
    `com.bea.netuix.application.exception.ObjectNotFoundException` - if the specified community membership does not exist.
    `com.bea.portal.tools.common.exceptions.ToolsException`

### removeMembershipCapability

    void removeMembershipCapability(com.bea.netuix.application.identifier.CommunityMemberId mId,
                                    com.bea.netuix.application.identifier.CommunityDefinitionId cId,
                                    com.bea.netuix.application.communities.MembershipCapability capability,
                                    com.bea.portal.tools.common.ResourceContext context)
                                    throws com.bea.portal.tools.common.exceptions.ToolsException,
                                           IllegalArgumentException,
                                           com.bea.netuix.application.exception.ObjectNotFoundException

  Removes a capability (owner, leader or manager) from the `CommunityMembership` specified.

  Parameters
    `mId` - the id of the `CommunityMember` whose membership is to be modified.
    `cId` - the id of the `Community` for the membership.
    `capability` - the capability to remove from the membership, which is one of the `CommunityMembership.Capability` constants.
    `context` - the resource context
  Throws
    `IllegalArgumentException` - if the capability specified is not valid.
    `com.bea.netuix.application.exception.ObjectNotFoundException` - if the specified community membership does not exist.
    `com.bea.portal.tools.common.exceptions.ToolsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved